Project Management
All operations require authentication.
List projectsProduction
Returns the projects of the account with their current state.
Query parameters
Filter resources on IAM tags
Headers
Pagination cursor
Pagination size
Response
Date of project creation
Current configuration applied to the cloud project
Asynchronous operations ongoing on the cloud project
IAM resource metadata
Unique identifier of the project
Project name
Reflects the readiness of the cloud project. A new target specification request will be accepted only in READY status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the cloud project
Date of the last cloud project update
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "mode": "CLASSIC", "name": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "name": "string", "resourceStatus": "CREATING", "targetSpec": { "mode": "CLASSIC", "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Get a projectProduction
Returns the project, its current state and its ongoing tasks.
Path parameters
Project ID
Response
Date of project creation
Current configuration applied to the cloud project
Asynchronous operations ongoing on the cloud project
IAM resource metadata
Unique identifier of the project
Project name
Reflects the readiness of the cloud project. A new target specification request will be accepted only in READY status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the cloud project
Date of the last cloud project update
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "mode": "CLASSIC", "name": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "name": "string", "resourceStatus": "CREATING", "targetSpec": { "mode": "CLASSIC", "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}